
Figure - 开发 Dev #110957
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110126 (New): 【MK】【AF】管理总票

开发 Dev # 110951 (New): 【MK】【AF】【MultiWindow】【TC-RID: 1201-0201401】

【MK】【AF】【MultiWindow】【TC-RID: 1201-0201401】关闭小窗模式
2022-08-02 16:06 - DL FW-王琳

Status: New Start date: 2022-08-29

Priority: High Due date: 2022-09-09

Assignee: CD FW-鲁凯峰 % Done: 80%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Description

1.全局手势触发

监听系统上划手势，小窗应用退到后台，需要改变windowmode，把freeform变更为fullscreen

2.小窗口底部操作杆触发小窗退出

需要通过View监听Touch事件，进行手势的识别，手势识别为上划的时候，触发退出小窗

自测：

1.启动应用，进入到小窗模式显示，触发系统手势上划，小窗退到后台。

2.通过小窗底部手势滑动，触发小窗退到后台。

History

#1 - 2022-08-02 16:10 - DL FW-王琳

- Parent task set to #110126

#2 - 2022-08-02 16:49 - DL FW-王琳

- Parent task changed from #110126 to #110951

#3 - 2022-08-04 19:48 - CD FW-王伟

- Subject changed from 【MK】【AF】【MultiWindow】【TC-RID: 0301-0201401】关闭小窗模式 to 【MK】【AF】【MultiWindow】【TC-RID:

1201-0201401】关闭小窗模式

#4 - 2022-09-26 15:28 - DL FW-张挽强

- % Done changed from 0 to 90

1.启动应用，进入到小窗模式显示，触发系统手势上划，小窗退到后台。

2.通过小窗底部手势滑动，触发小窗退到后台。

#5 - 2022-09-26 15:39 - DL FW-张挽强

- % Done changed from 90 to 80

#6 - 2022-09-26 17:47 - DL FW-王琳

- Target version set to VX1_MCE_FSE_V2.0_20220930

#7 - 2022-09-27 19:19 - CD TPM-申艳艳

- Category set to 窗口定制

#8 - 2022-12-22 20:34 - CD FW-王伟
Gerrit Merge Information：

ID Project Branch Uploader

150329 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

zhangwq0711@thundersoft.com

AF:MultiWindow: Exit freeform mode1.Swipe to move < 0.5px/ms and rebound to restore position2.Swipe to move > 0.5px/ms and directly swipe to

exitChange-Id: I82411d9a1f679988995f7e9b6d5be20a87c5b6e7TC-RID: 0301-0201401IssueID: TS-R-DF-110957

#9 - 2023-06-28 11:09 - CD FW-鲁凯峰

- Assignee changed from DL FW-张挽强 to CD FW-鲁凯峰

#10 - 2023-08-08 17:01 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

301272 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: hide freeform task when dream startedTC-RID: 1201-0204601IssueID: TS-R-DF-110957,IOVDEV-37377Change-Id:

I231f087cbdaef3d7638caee4513e07ddbb827f7a

#11 - 2023-08-09 15:00 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

301580 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: hide freeform task when dream startedTC-RID: 1201-0204601IssueID: TS-R-DF-110957,IOVDEV-37377Change-Id:

I10b38fa9df467564f9a44ef61c5aa84daade615e

#12 - 2023-08-10 20:51 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

302385 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MultiWindow: hide freeform task when dream startedTC-RID: 1201-0204601IssueID: TS-R-DF-110957,IOVDEV-37377Change-Id:

I231f087cbdaef3d7638caee4513e07ddbb827f7a(cherry picked from commit c9f9b3d2a232a1b6d5a5bdcbddfec109a2f2e5a7)

2025-07-03 2/4



#13 - 2023-08-10 20:53 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

302429 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MultiWindow: hide freeform task when dream startedTC-RID: 1201-0204601IssueID: TS-R-DF-110957,IOVDEV-37377Change-Id:

I10b38fa9df467564f9a44ef61c5aa84daade615e(cherry picked from commit 3d702a716f70d89f9b79619054ffff111d42d07f)

#14 - 2023-09-11 22:15 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

311516 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:MultiWindow: Kill the process when closing the mini-window task.TC-RID: 1201-0204601IssueID: TS-R-DF-110957Change-Id:

I9922272fca13ac3db3846157b9bc4fdca7554dbc

#15 - 2023-10-07 11:34 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

317231 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MultiWindow: Kill the process when closing the mini-window task.TC-RID: 1201-0204601IssueID: TS-R-DF-110957Change-Id:

I9922272fca13ac3db3846157b9bc4fdca7554dbc(cherry picked from commit d62ff08c0bed094920cb26fec5dd71ec6dd67bf7)

#16 - 2023-11-10 13:39 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

327088 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:MultiWindow: Adjust the position of the floating window to prevent it from overlapping with the status bar and navigation bar.TC-RID: 1201-0204601IssueID:

TS-R-DF-110957,IOVDEV-40631Change-Id: If954d88e23ff4afbf7bfee93a589d945653c7083

#17 - 2023-11-20 13:44 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader
329056 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:MultiWindow: Adjust the position of the floating window to prevent it from overlapping with the status bar and navigation bar.TC-RID: 1201-0204601IssueID:

TS-R-DF-110957,IOVDEV-40631Change-Id: If954d88e23ff4afbf7bfee93a589d945653c7083(cherry picked from commit

f213880d959c5e4554dc6003813f238a52dabbb4)
